Subject: Re: Apache 1.3.20 & apxs
From: "S. L." <[email-masked]>
To: Stipe Tolj <[email-masked]>
Cc: [email-masked]
Date: Mon, 4 Jun 2001 08:11:45 +0200 (MEST)

[...]
> >    b. (and here is an yumyumyum :) php4 does load, and it's working
> > properly.
> 
> can you post me some kind of logs or patches you did to make the modules
> into
> single DLLs and what happened, I will try to pass things to apache.org as
> far as
> they are stable.

After failures with mod_cgi and mod_log_config, I've noticed that those 2
modules wouldn't link with libhttpd.a. The lib they wanted was libhttpd.dll. So
I made the build with:

./configure --enable-module=so --enable-rule=SHARED_CORE --enable-rule=EAPI
--enable-shared=max --enable-shared=proxy --with-perl=/usr/local/bin/perl
make
make -i
make -i install

and the modules with:

for f in *.lo; do /usr/local/apache/bin/apxs -c -o `basename $f .lo`.dll $f
../../libhttpd.dll; done

> 
> > Stipe has done a very good work. I would suggest to include in the patch
> for
> > apache 1.3.x tree, the addition of __CYGWIN__ to "#ifundef TPF"
> directive at
> > 2287 line in http_protocol.c, as posted in a previous message; this
> solves
> > the w9x cgi execution, which, without it, ends the connection only after
> > server timeout. This modification could have some connotation only for
> NT/2k,
> > where the server works properly in either case.
> 
> I'll check that impact.
> 
> I have noticed that a build with mod_ssl+mod_php consumes memory (leaks)
> and the
> httpd childs seem not to die properly. But it doesn't seem to happen
> running ony
> the core apache modules.
> 
> This is to be investigated too.
> 

Actually I've not used in production the last versions of Apache & co. and
cygwin. On my NT I have a "SERVER_SOFTWARE = Apache/1.3.12 (Cygwin) PHP/4.0.2
mod_ssl/2.6.6 OpenSSL/0.9.5a", with your 1.3.9 patch applied (ssl'n'php
included in libhttpd.dll). I didn't find any performance problem, although having
a poor hardware PDC configuration, with cygwin sshd and apache not running as
services, but launched from a tk console so they can work in background
without any problems, after finishing tk.

But on my w9x there's no other mean to pass over the keeping connection
alive until the time out expires, after running a cgi script (not a php). The
problem stands while static linking the httpd, too.

Regards,

                       SLao

-- 
Sent through GMX FreeMail - http://www.gmx.net

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple